Upgrade from GET /v0/transport_stations to GET /v1/transport_stations

  • Obsolète
  • 22 mai 2024
  • 1 route liée

Context

Upgrade from GET - /v0/transport_stations to GET - /v1/transport_stations

Key benefits : display cities depending on a new parameter. The new paramter is the caller : B2C or B2B ⚠️ Called backs: ICC + CMS

ℹ️ in the response body=> a new field "tags" is added By default, B2C cities will be displayed


As a BE B2B DEV I want to display the cities depending on a new parameter In order to allow the vendor to sugget other stops


Impacts

=> Resource to call: GET/v1/transport_stations

Body

[
  {
      "id": "CDG",
      "city_id": "PAR",
      "type": "AIRPORT",
      "label": "Paris-Roissy Charles de Gaulle",
      "is_main_city_station": true,
++ "tags":"b2c" => un tableau 
  }
]